/*
 * Crash Course STM32C0
 * Elektronika Praktyczna
 *
 * Przyklad 4. Wysylka znakow przez UART2
 * plik main.c
 *
 */

#include "hardware.h"
#include "utils.h"


int main()
{

    char str[] = "licznik = __\r\n";

    uint8_t cnt = 0;
    uint8_t dig10 = 0;
    uint8_t dig1 = 0;

	/* inicjlizacja peryferiow */
    GPIO_config();
    RCC_configClockSource();
    UART_config();

    while(1)
    {

    	/* przygotowanie cyfr do wyslania w stringu */
        dig10 = cnt / 10;
        dig1 = cnt % 10;

        /* obsluga "zawijania" licznika */
        cnt++;
        if(cnt > 99) cnt = 0;

        /* podmiana zankow na poz. 10 i 11 w stringu */

        str[10] = '0' + dig10;
        str[11] = '0' + dig1;

        /* wysylka danych przez UART2 */
        UART_print_chars(str);

        delayMilisec(100);

    }
}
