/*
 *  Crash Course STM32C0
 *  Elektronika Praktyczna
 *
 *  Przyklad 7. Komunikacja przez SPI + NVIC + EXTI
 * 	plik hardware.h
 *
 */

#ifndef INC_HARDWARE_H_
#define INC_HARDWARE_H_

#include "stm32c031xx.h"
#include "utils.h"


void RCC_configClockSource(void);
void GPIO_config(void);

void UART_config(void);
void UART_print_chars(char *str);
void UART_print_num(int16_t num);

void SPI_config();
void SPI_duplex_transaction(uint8_t *out, uint8_t *in, uint8_t len);

void EXTI_config(void);
void NVIC_Config(void);

#endif /* INC_HARDWARE_H_ */
