/*
 * Crash Course STM32C0
 * Elektronika Praktyczna
 *
 * Przyklad 7. Komunikacja przez SPI + NVIC + EXTI
 * plik lis2dw12_driver.h
 *
 */

#ifndef INC_LIS2DW12_DRIVER_H_
#define INC_LIS2DW12_DRIVER_H_

#include "hardware.h"

void LIS2DW12_startup(void);

void LIS2DW12_read_XYZ(int16_t *x, int16_t *y, int16_t *z);

uint8_t LIS2DW12_check_DRDY(void);

void LIS2DW12_enable_DRDY_INT1(void);


#endif /* INC_LIS2DW12_DRIVER_H_ */
