/*
 * Crash Course STM32C0
 * Elektronika Praktyczna
 *
 * Przyklad 2. Blinky z turbodoladowaniem
 * plik main.c
 *
 */

#include "stm32c031xx.h"

void delayMilisec(uint32_t n);

int main()
{

	uint32_t delay;

	RCC->IOPENR |= RCC_IOPENR_GPIOAEN
				| RCC_IOPENR_GPIOBEN
				| RCC_IOPENR_GPIOCEN
				| RCC_IOPENR_GPIODEN;

	GPIOA->MODER &= ~GPIO_MODER_MODE5;
	GPIOA->MODER |= GPIO_MODER_MODE5_0;

	/* PC13 jako wejscie cyfrowe */
	GPIOC->MODER &= ~GPIO_MODER_MODE13;


	while(1)
	{

		/* sprawdzenie stanu linii wejsciowej w rejestrze GPIO_IDR*/
		if((GPIOC->IDR & GPIO_IDR_ID13) ==  GPIO_IDR_ID13)
			delay = 200;
		else
			delay = 50;

		GPIOA->BSRR = GPIO_BSRR_BS5;
		
		delayMilisec(delay);
		
		GPIOA->BSRR = GPIO_BSRR_BR5;
		
		delayMilisec(delay);

	}
}


void delayMilisec(uint32_t n){

	for(uint32_t i = 0; i < 400*n; i++)
	{
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
	}

}


