/*
 *  Crash Course STM32C0
 *  Elektronika Praktyczna
 *
 *  Przyklad 5. Obsluga wyjscia PWM
 * 	plik hardware.h
 *
 */

#ifndef INC_HARDWARE_H_
#define INC_HARDWARE_H_

#include "stm32c031xx.h"
#include "utils.h"

#define PCLK_FREQ 	12000000	/* czestotliwosc taktowania APB */
#define PWM_FREQ  	1000		/* czestotliwosc PWM */
#define PWM_RES		100			/* rozdzielczosc PWM */


void RCC_configClockSource(void);
void GPIO_config(void);

void PWM_config(void);
void PWM_set_duty(uint8_t pwm);

#endif /* INC_HARDWARE_H_ */
