/*
 * Crash Course STM32C0
 * Elektronika Praktyczna
 *
 * Przyklad 5. Obsluga wyjscia PWM
 * plik main.c
 *
 */

#include "stm32c031xx.h"
#include "hardware.h"
#include "utils.h"

int main()
{

    int8_t cnt = 0;
    int8_t dir = 1;

    GPIO_config();
    RCC_configClockSource();

    PWM_config();

    while(1)
    {

    	PWM_set_duty(cnt);

    	/* zmiana kierunku zliczania */
    	/* efekt: przebieg "trojkatny" na wyjsciu PWM */

    	if(dir == 1){

    		cnt++;
    		if(cnt > 100) dir = 0;

    	}else{

    		cnt--;
    		if(cnt < 1) dir = 1;

    	}

        delayMilisec(10);
    }
}
