/*
 * Crash Course STM32C0
 * Elektronika Praktyczna
 *
 * Przyklad 7. Komunikacja przez SPI + NVIC + EXTI
 * plik stm32c0xx_it.c
 *
 */

#include "stm32c0xx_it.h"


void NMI_Handler(void)
{

  while (1)
  {
  }
}

void HardFault_Handler(void)
{

  while (1)
  {

  }
}


void SVC_Handler(void)
{

}


void PendSV_Handler(void)
{

}

void EXTI4_15_IRQHandler(void)
{

	extern volatile uint8_t drdy_flag;

	/* sprawdzenie czy zrodlem przerwania byla linia PA10 */
	if(EXTI->RPR1 & EXTI_RPR1_RPIF10){

		/* resetowanie flagi przerwania */
		EXTI->RPR1 |= EXTI_RPR1_RPIF10;

		/* ustawienie flagi programowej, ktora zostanie odczytana w main() */
		drdy_flag = 1;

	}
}

